Get a Function Instance - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v2.0 /functions /{functionId} /instances /{functionInstanceId}
Try it
Get a Function Instance
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId} \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}")
.header("X-API-Key", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/instances/{functionInstanceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response Status Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Example Response Body
{
"_id": "<string>",
"functionReference": "<string>",
"trigger": "flow",
"status": "active",
"error": "<string>",
"createdAt": 1694518620,
"finishedAt": 1694518620
}
Error Response Examples
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
API Key
X-API-Key:
- type: string
- in: header
- required: true
- description: Supply the API Key in the HTTP-Header
Headers
Accept
- enum
- description: The
Acceptheader specifies the media type that the client expects in the response. - available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
- default value:
application/json
Path Parameters
functionId:
- type: string
- required: true
- description: The Id of the Function
- required string length:
24 - pattern:
^[a-z0-9]{24}$
functionInstanceId:
- type: string
- required: true
- description: The Id of the Function Instance
- required string length:
24 - pattern:
^[a-z0-9]{24}$
Response
200
- type: application/json
- description: Returns a Function Instance object
- fields:
- _id:
- type: string
- required string length:
24 - pattern:
^[a-z0-9]{24}$
- functionReference:
- type: string
- required string length:
24 - pattern:
^[a-z0-9]{24}$
- trigger:
- enum
- description: How was this function instance triggered, e.g., was it spawned while executing a Flow?
- available options:
flow,manual - example: "flow"
- enum
- status:
- enum
- description: The current state of the instance.
- available options:
queued,active,done,error - example: "active"
- enum
- error:
- type: string
- createdAt:
- type: integer
- unix-timestamp
- required range:
0 <= x <= 2147483647 - example:
1694518620
- finishedAt:
- type: integer
- unix-timestamp
- required range:
0 <= x <= 2147483647 - example:
1694518620
- _id: